System 2.0.0.0 4.0.0.0 System.ValueType

The structure encompass a target device, the aspect or view of the data, and a storage medium indicator. Instead of a Clipboard format, OLE uses a FORMATETC data structure instead. This structure is used as a parameter in OLE functions and methods that require data format information.

For more information about the FORMATETC structure, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Represents a generalized Clipboard format.

- Field
  2.0.0.0
  4.0.0.0
  System.Int16

  OLE recognizes three formats:

  Standard interchange formats, such as CF_TEXT.

  Private application formats understood only by the application offering the format, or by other applications offering similar features.

  OLE formats, which are used to create linked or embedded objects.

  Specifies the particular clipboard format of interest.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.DVASPECT

  A single clipboard format can support multiple aspects or views of the object. Most data and presentation transfer and caching methods pass aspect information. For example, a caller might request an object's iconic picture, using the metafile clipboard format to retrieve it. Note that only one value can be used in . That is, cannot be the result of a BOOLEAN OR operation on several values.

  Specifies one of the enumeration constants that indicates how much detail should be contained in the rendering.

- Field
  2.0.0.0
  4.0.0.0
  System.Int32

  The most common value is -1, which identifies all of the data. For the aspects and , is ignored.

  Specifies part of the aspect when the data must be split across page boundaries.

- Field
  2.0.0.0
  4.0.0.0
  System.IntPtr

  A null value is used whenever the specified data format is independent of the target device or when the caller does not care what device is used. In the latter case, if the data requires a target device, the object should pick an appropriate default device (often the display for visual components). Data obtained from an object with a null target device, such as most metafiles, is independent of the target device. The resulting data is usually the same as it would be if the user chose the Save As command from the File menu and selected an interchange format.

  Specifies a pointer to a DVTARGETDEVICE structure containing information about the target device that the data is being composed for.

- Field
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComTypes.TYMED

  Data can be transferred using whatever medium makes sense for the object. For example, data can be passed using global memory, a disk file, or structured storage objects. For more information, see the enumeration.

  Specifies one of the enumeration constants, which indicates the type of storage medium used to transfer the object's data.